﻿<div ng-controller="detailsCtrl" ng-init="load()" ng-switch="loading" class="d-flex flex-column h-100">
  <header class="p-3 text-bg-dark" style="background-color: #2b3035">
    <div class="container-fluid">
      <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">

        <ul class="nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0">
          <li><button type="button" class="btn btn-secondary me-3" ng-click="goBack()"> <i class="iconify" data-icon="material-symbols:arrow-back"></i></button></li>
          <li><button type="button" class="btn btn-warning me-2" ng-click="go('/')">Home</button></li>
          <li><button type="button" class="btn btn-outline-light me-2" ng-click="go('statistiche')">statistiche</button></li>
        </ul>

        <form class="col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3" role="search">
          <input type="search" class="form-control form-control-dark text-dark" ng-model="searchText" placeholder="Cerca..." aria-label="cerca" />
        </form>
      </div>
    </div>
  </header>

  <div class="container-fluid">
    <!-- <div class="row mt-3" ng-if="!isEmpty(dati)">
      <div class="col-4" ng-repeat="x in dati  | filter:searchText">
        <div class="card mb-2" style="width: 22rem">
          <div class="card-header">
            <span class="text-uppercase fw-bold">
              {{x.cognome}} {{x.nome}}
            </span>
            <span class="float-end"><small>{{formatDate(x.dataNascita)}} - {{x.luogoNascita}}({{x.provinciaNascita}})</small></span>
          </div>
          <ul class="list-group list-group-flush"> -->
    <!-- <li class="list-group-item">
              <i class="iconify me-3 ico-20" data-icon="ic:twotone-place"></i>Luogo Nascita:
              <span class="float-end">{{x.luogoNascita}}({{x.provinciaNascita}})</span>
            </li>
            <li class="list-group-item">
              <i class="iconify me-3 ico-20" data-icon="lets-icons:date-today-duotone"></i>Data Nascita:
              <span class="float-end">{{formatDate(x.dataNascita)}}</span>
            </li> -->
    <!-- <li class="list-group-item">
              <i class="iconify me-3 ico-20" data-icon="ph:phone-duotone"></i>Tel.
              <span class="float-end">{{x.cellulare1}} - {{x.cellulare2}}</span>
            </li>
            <li class="list-group-item">
              <i class="iconify me-3 ico-20" data-icon="mdi:gun"></i>Titolo
              Scadenza:
              <span class="float-end">{{formatDate(x.scadenzaTitolo)}}</span>
            </li>
            <li class="list-group-item">
              <i class="iconify me-3 ico-20" data-icon="ph:certificate-bold"></i>Certificato Scadenza:
              <span class="float-end">{{formatDate(x.scadenzaCertificato)}}</span>
            </li>
          </ul>
          <div class="card-footer">
            <button type="button" class="btn btn-sm btn-info float-end" ng-click="go('portoEdit/' + x.id_utente)">Dettaglio</button>
          </div>
        </div>
      </div>
    </div> -->
    <div class="row mt-3" ng-if="!isEmpty(datiTabella)">

      <div class="col-12">
        <div class="card ">
          <div class="card-header">
            <h5 class="pt-2"><span class="badge text-bg-primary p-2">{{titoloTabella}}</span> </h5>
          </div>
          <div class="card-body overflow-auto p-0">
            <table class="table table-hover table-striped m-0">
              <thead>
                <tr class="text-nowrap">
                  <th ng-repeat="y in nomeCampi">{{y}}</th>
                  <th scope="col"></th>
                </tr>
              </thead>
              <tbody class="text-nowrap">
                <tr ng-repeat="x in datiTabella  | filter:searchText | limitTo:limitRow:(currentPage-1)*limitRow">

                  <td ng-repeat="c in nomeCella">
                    <span ng-if="c != 'titoloPosseduto' && !campiDate.includes(c)">{{x[c]}}</span>

                    <span ng-if="campiDate.includes(c)">{{formatDate(x[c])}}</span>

                    <span ng-if="c == 'titoloPosseduto'">{{tipoTitolo(x[c])}}</span>

                  </td>
                  <td><button type="button" class="btn btn-sm btn-info float-end" ng-click="go('portoEdit/' + x.id_utente)"><i class="iconify" data-icon="ant-design:folder-open-twotone"></i></button></td>
                </tr>
              </tbody>
            </table>

          </div>
          <div class="card-footer d-flex justify-content-between align-items-center">

            <div>
              <select class="form-select" ng-model="limitRow" ng-change="updateLimitRow(limitRow)">

                <option ng-value="10">10 Righe</option>
                <option ng-value="20">20 Righe</option>
                <option ng-value="50">50 Righe</option>
                <option ng-value="9999">Visualizza tutto</option>
              </select>
            </div>
            <div class="">
              <span class="badge rounded-pill text-bg-light shadow">Righe Totali: {{datiTabella.length }}</span>    
            </div>
            <nav>
              <ul class="pagination pt-2">

                <li class="page-item" ng-class="{ disabled: currentPage === 1 }">
                  <a class="page-link" ng-click="currentPage = currentPage - 1">&laquo;</a>
                </li>
                <li class="page-item" ng-repeat="n in range(totalPages)">
                  <a class="page-link pointer" ng-click="goToPage(n + 1)">{{ n + 1 }}</a>
                </li>
                <li class="page-item" ng-class="{ disabled: currentPage === totalPages }">
                  <a class="page-link" ng-click="currentPage = currentPage + 1">&raquo;</a>
                </li>
              </ul>
            </nav>

          </div>
        </div>
      </div>

    </div>

  </div>
</div>